This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 529126 - iok needs to be a single-instance app
iok needs to be a single-instance app
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iok (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-14 23:06 EDT by Matthias Clasen
Modified: 2009-12-17 00:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 00:42:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-10-14 23:06:45 EDT
Repeatedly hitting the 'iok' button in the ibus panel leaves me with tons of keyboards on my screen. You should make iok a single-instance app. This is very easy using libunique.
Comment 1 Parag Nemade 2009-10-15 04:27:08 EDT
Thanks. I will work on this.
Comment 2 Parag Nemade 2009-10-26 05:48:39 EDT
Fixed in new build iok-1.3.8-1.fc12
Comment 3 A S Alam 2009-12-17 00:42:17 EST
Bug is fixed. Tested with following version:
iok-1.3.8-1.fc12

Note You need to log in before you can comment on or make changes to this bug.